### Method

# Gtk Widget has_focus

#### Declaration [src]

    gboolean
    gtk_widget_has_focus (
      GtkWidget* widget
    )

#### Description [src]

Determines if the widget has the global input focus.

See gtk_widget_is_focus() for the difference between having the global input focus, and only having the focus within a toplevel.

Gets property | `Gtk.Widget:has-focus`

#### Return value

Returns: | `gboolean`
| `TRUE` if the widget has the global input focus.